<?php
declare(strict_types=1);

namespace Inti\Wp\Middleware;

/**
 * Class ConfigProvider
 *
 * @package Inti\Wp\Middleware
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-middleware
 */
final class ConfigProvider
{
    public function __invoke(): array
    {
        return [
            'wp' => [
                'db_connection' => 'default',
                'globals' => [],
                'plugins' => [],
            ],

            'middleware_pipeline' => [[
                'middleware' => Bootstrap::class,
                'priority' => 50,
            ], [
                'middleware' => Handler\Index::class,
                'priority' => 0,
            ]],

            'routes' => [[
                'path' => '/wp/wp-admin/install.php',
                'middleware' => Handler\Admin\Install::class,
            ]],

            'dependencies' => [
                'factories' => [
                    Bootstrap::class => Container\BootstrapFactory::class,
                ],
            ],
        ];
    }
}
