<?php
declare(strict_types=1);

namespace Inti\Wp\Middleware\Handler;

use Laminas\Diactoros\Response;
use Laminas\Diactoros\Response\HtmlResponse;
use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;
use Psr\Http\Server\RequestHandlerInterface;
use function defined;
use function ob_end_clean;
use function ob_get_contents;
use function ob_start;
use function wp;

/**
 * Class Index
 *
 * @package Inti\Wp\Middleware\Handler
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-middleware
 */
final class Index implements RequestHandlerInterface
{
    public function handle(ServerRequestInterface $request): ResponseInterface
    {
        if (defined('WP_USE_THEMES') && WP_USE_THEMES === true) {
            ob_start();

            wp();
            require_once ABSPATH . 'wp-includes/template-loader.php';

            $content = ob_get_contents();
            ob_end_clean();

            return new HtmlResponse($content);
        }

        return new Response();
    }
}
